[arch-commits] Commit in gxine/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun Jan 3 22:05:11 EST 2010


    Date: Sunday, January 3, 2010 @ 22:05:11
  Author: eric
Revision: 62173

Merged revisions 62171 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/gxine/trunk

........
  r62171 | eric | 2010-01-03 22:04:00 -0500 (Sun, 03 Jan 2010) | 2 lines
  
  upgpkg: gxine 0.5.905-1
      Upstream update
........

Modified:
  gxine/repos/extra-x86_64/	(properties)
  gxine/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)


Property changes on: gxine/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /gxine/trunk:1-34196
   + /gxine/trunk:1-62172

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2010-01-04 03:04:28 UTC (rev 62172)
+++ extra-x86_64/PKGBUILD	2010-01-04 03:05:11 UTC (rev 62173)
@@ -2,7 +2,7 @@
 # Maintainer: Alexander Fehr <pizzapunk gmail com>
 
 pkgname=gxine
-pkgver=0.5.904
+pkgver=0.5.905
 pkgrel=1
 pkgdesc="GTK+ frontend for xine"
 arch=('i686' 'x86_64')
@@ -13,18 +13,19 @@
 optdepends=('libxaw: Mozilla browser plugin')
 options=('!libtool')
 install=gxine.install
-source=(http://downloads.sourceforge.net/xine/gxine-$pkgver.tar.bz2)
-md5sums=('00b10fac6ddfc211a8ef217174feb09b')
+source=(http://downloads.sourceforge.net/xine/gxine-${pkgver}.tar.bz2)
+md5sums=('3c9092f1c5c8dc85e95ca327cdcc77af')
+sha1sums=('dc01b617641d6eac4152259c592f15f31b9d9bf0')
 
 build() {
-  cd $srcdir/gxine-$pkgver
+  cd "${srcdir}/gxine-${pkgver}"
 
   ./configure --prefix=/usr --sysconfdir=/etc --disable-lirc --disable-integration-wizard \
     --with-spidermonkey=/usr/include/js --with-logo-format=image \
     VENDOR_PKG_VERSION="$pkgver-$pkgrel; Arch Linux" || return 1
   make || return 1
-  make DESTDIR=$pkgdir install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 
-  install -d -m755 $pkgdir/usr/lib/mozilla/plugins || return 1
-  ln -s /usr/lib/gxine/gxineplugin.so $pkgdir/usr/lib/mozilla/plugins || return 1
+  install -d -m755 "${pkgdir}/usr/lib/mozilla/plugins" || return 1
+  ln -s /usr/lib/gxine/gxineplugin.so "${pkgdir}/usr/lib/mozilla/plugins" || return 1
 }



More information about the arch-commits mailing list